' *
' * The project site is at: http://sourceforge.jp/projects/fishbornas/
' *
' * First author tiritomato 2012.
' *
' * Distributed under the FishbornArchiveShelf License (See
' *  file "Licenses/License.txt" contained in a project, or the following link.
' *  http://sourceforge.jp/projects/fishbornas/scm/svn/blobs/head/trunk/Licenses/License.txt)
' *
' * 2012.06.07 Initial Revision (tiritomato)
' *

Partial Public Class AppBase

    Public Class ArchiveItemEntrySelectedArgs
        Public ArchivePath As String
        Public EntryPath As String
        Public Class Echoes
            Inherits Logic.Echoes(Of ArchiveItemEntrySelectedArgs)
            Public Shadows Sub Echo(ByVal ArchivePath As String, ByVal EntryPath As String)
                Dim e As New ArchiveItemEntrySelectedArgs
                e.ArchivePath = ArchivePath
                e.EntryPath = EntryPath
                MyBase.Echo(e)
            End Sub
        End Class
    End Class

End Class


